<!DOCTYPE html>
<html>
  <head>
    <meta name="description" content="A pomf-like file uploading service that doesn't suck.">
    <meta name="keywords" content="upload,i.kasai.moe,file,images,hosting">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <link rel="apple-touch-icon" sizes="180x180" href="https://i.kasai.moe/images/icons/apple-touch-icon.png?v=XBreOJMe24">
    <link rel="icon" type="image/png" href="https://i.kasai.moe/images/icons/favicon-32x32.png?v=XBreOJMe24" sizes="32x32">
    <link rel="icon" type="image/png" href="https://i.kasai.moe/images/icons/favicon-16x16.png?v=XBreOJMe24" sizes="16x16">
    <link rel="manifest" href="https://i.kasai.moe/images/icons/manifest.json?v=XBreOJMe24">
    <link rel="mask-icon" href="https://i.kasai.moe/images/icons/safari-pinned-tab.svg?v=XBreOJMe24" color="#5bbad5">
    <link rel="shortcut icon" href="https://i.kasai.moe/images/icons/favicon.ico?v=XBreOJMe24">
    <meta name="apple-mobile-web-app-title" content="i.kasai.moe">
    <meta name="application-name" content="i.kasai.moe">
    <meta name="msapplication-config" content="https://i.kasai.moe/images/icons/browserconfig.xml?v=XBreOJMe24">
    <meta name="theme-color" content="#ffffff">

    <meta property="og:url" content="https://i.kasai.moe" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="{{ title }} | {{ count }} files" />
    <meta property="og:description" content="i.kasai.moe | A small safe worth protecting." />
    <meta property="og:image" content="{{ thumb }}" />
    <meta property="og:image:secure_url" content="{{ thumb }}" />

    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="{{ title }} | {{ count }} files">
    <meta name="twitter:description" content="i.kasai.moe | A small safe worth protecting.">
    <meta name="twitter:image" content="{{ thumb }}">
    <meta name="twitter:image:src" content="{{ thumb }}">

    <title>{{ title }}</title>

    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.3.0/css/bulma.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.css">
    <link rel="stylesheet" type="text/css" href="/css/style.css">

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/1.1.3/sweetalert.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.15.3/axios.min.js"></script>
  </head>

  <body>
    <section class="hero is-fullheight">
      <div class="hero-head">
        <div class="container">
          <div class="columns">
            <div class="column is-9">
              <h1 class="title" id="title" style="margin-top: 1.5rem;">{{ title }}</h1>
              <h1 class="subtitle" id="count">{{ count }} files</h1>
            </div>
            <div class="column is-3" style="text-align: right; padding-top: 45px;">
              {{#if enableDownload}}
                <a class="button is-primary is-outlined" title="Download album" href="/api/album/zip/{{ identifier }}">Download Album</a>
              {{/if}}
            </div>
          </div>
          <hr>
        </div>
      </div>
      <div class="hero-body">
        <div class="container" id="container">
          <div class="columns is-multiline is-mobile" id="table">
            {{#each files}}
            <div class="column is-2">
              <a href="{{ this.file }}" target="_blank">{{{ this.thumb }}}</a>
            </div>
            {{/each}}
          </div>
        </div>
      </div>
    </section>
  </body>
</html>
